## Maxima and Minima

## Usage

    max(..., na.rm=FALSE)
    min(..., na.rm=FALSE)

    pmax(..., na.rm=FALSE)
    pmin(..., na.rm=FALSE)

## Value

`max` and `min` return the maximum or minimum of all the values present in their arguments, as `double`. If `na.rm` is `FALSE` an `NA` value in any of the arguments will cause a value of `NA` to be returned, otherwise `NA` values are ignored.

`pmax` and `pmin` take several vectors as arguments and return a single vector giving the parallel maxima (or minima) of the vectors. The first element of the result is the maximum (minimum) of the first elements of all the arguments, the second element of the result is the maximum (minimum) of the second elements of all the arguments and so on. Shorter vectors are recycled if necessary. If `na.rm` is `FALSE`, `NA` values in the input vectors will produce `NA` values in the output. If `na.rm` is `TRUE`, `NA` values are ignored.

## See Also

`range`.

## Examples

    min(5:1,pi)
    pmin(5:1, pi)
    x <- sort(rnorm(100));  cH <- 1.35
    plot(x, pmin(cH, pmax(-cH, x)), type='b', main= "Huber's function")

[Package Contents]